<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>kangarooDataCenterV3</artifactId>
        <groupId>com.hzya.frame</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>buildpackage</artifactId>
    <packaging>war</packaging>
    <!-- 统一管理依赖版本-->
    <dependencies>
        <dependency>
            <groupId>com.hzya.frame</groupId>
            <artifactId>webapp</artifactId>
            <version>${revision}</version>
        </dependency>
<!--        &lt;!&ndash; 淘宝奇门sdk&ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.reabam.sdk</groupId>-->
<!--            <artifactId>reabam-sdk-java</artifactId>-->
<!--            <version>1.0</version>-->
<!--            <scope>system</scope>-->
<!--            <systemPath>${basedir}/src/main/webapp/WEB-INF/lib/openapi-sdk-1.0.0.jar</systemPath>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.taobao.qmsdk</groupId>-->
<!--            <artifactId>taobao-sdk-java-auto</artifactId>-->
<!--            <version>1.1</version>-->
<!--            <scope>system</scope>-->
<!--            <systemPath>${basedir}/src/main/webapp/WEB-INF/lib/taobao-sdk-java-auto-1.1.jar</systemPath>-->
<!--        </dependency>-->

    </dependencies>

    <profiles>
        <profile>
            <id>local</id>  <!--本地环境-->
            <properties>
                <profile.active>local</profile.active>
            </properties>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <id>dev</id> <!--开发环境-->
            <properties>
                <profile.active>dev</profile.active>
            </properties>
        </profile>
        <profile>
            <id>ax</id> <!--澳星-->
            <properties>
                <profile.active>ax</profile.active>
            </properties>
        </profile>
        <profile>
            <id>hclocal</id> <!--何灿-->
            <properties>
                <profile.active>hclocal</profile.active>
            </properties>
        </profile>
        <profile>
            <id>llg</id> <!--吕磊钢-->
            <properties>
                <profile.active>llg</profile.active>
            </properties>
        </profile>
        <profile>
            <id>yuqh</id> <!--于群辉-->
            <properties>
                <profile.active>yuqh</profile.active>
            </properties>
        </profile>
        <profile>
            <id>xel</id> <!--相二林-->
            <properties>
                <profile.active>xel</profile.active>
            </properties>
        </profile>
        <profile>
            <id>ydc</id> <!--英德赛-->
            <properties>
                <profile.active>ydc</profile.active>
            </properties>
        </profile>
        <profile>
            <id>yc</id> <!--越城区-->
            <properties>
                <profile.active>yc</profile.active>
            </properties>
        </profile>
    </profiles>
    <build>
        <finalName>kangarooDataCenterV3</finalName>
    </build>

</project>
